# REST API

### Parser APIs

```
GET /v1/{chainName}/fullBlock/{blockNum}
e.g. /v1/ozys/fullblock/1234567
```

> Returns the entire block info of the block with the matching block number.

```
GET /v1/{chainName}/scanBlock/{blockNum}
e.g. /v1/terra/scanBlock/1234567
```

> Returns the parsed block info which only contains transactions from/to Orbit Bridge of of the block with the matching block number. Note that this API only exists in specific chains.

```
GET /v1/{chainName}/tx/{hash}
e.g. /v1/ozys/tx/0xb91c7b18851ca37fec6a4aabb6b9595ae5f84a7cf0966321144f48fe6c197617
```

> Returns the transaction info of the transaction with the matching transaction hash.

### Syncer APIs

```
GET /v1/{chainName}/lock-relay
```

> Returns the list of transactions that need to be validated by Orbit Hub.

```
GET /v1/{chainName}/pending-release
```

> Returns the list of transactions that has been validated by Orbit Hub and is waiting to be executed.

### Validator APIs

```
GET|POST /
```

> Returns the brief status of validator instance.

```
GET|POST /v1/gov/confirm/:address/:transactionId
```

> Returns the transaction hash that has been sent by the Validator.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://bridge-docs.orbitchain.io/operator-guide/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
